2010-08-30 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Tagging 0.2.3.91

2010-08-07 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderLaTeX: Fixing problem when text starts with inline math
 * IdSuggestions: Removing unwanted characters from generated suggestions

2010-08-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * IdSuggestions: Improved parsing year strings

2010-07-31 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryPubMed, WebQueryDBLP, WebQueryMathsciNet, WebQueryZMath,
   WebQueryZ3950, EntryWidgetUserDefined, WebQueryGoogleScholar,
   WebQueryAmatex, WebQueryBibSonomy, WebQueryCiteBase, WebQuerySpiresHep,
   PreambleWidget: Adding missinc .moc include

2010-07-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * admin: Adding --color=never option to grep calls in scripts

2010-07-08 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryArXiv: Adding more examples in comments
 * KBibTeX_Part: Removing debug output
 * Tagging 0.2.3.90

2010-07-01 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, EntryWidgetExternal, EntryWidgetPublication,
   DocumentListView, WebQuery, DocumentWidget, EntryWidgetOther:
   Switching over to xdg-open instead of either KRun or invokeBrowser

2010-06-30 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryArXiv: Guessing harder journals' bibliographic data
 * html.xslt: Removing duplicate volume
 * Settings, DocumentWidget, KBibTeX_Part: Checking if file to
   overwrite is symbolic link, asking user to overwrite original
   file or link

2010-03-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileImporterBibTeX: Bugfix when reading plain text comments (first character
   was missing)

2010-02-28 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterBibTeX: Handling special case for "slaccitation";
   fixing/simplifying encoding system in math environments

2010-02-20 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileImporterBibTeX: Fixing bug in reading comment lines
 * WebQuery: Code made more robust in parsing HTML code
 * admin/cvs.sh: Fixing issue with automake 1.11 or newer

2010-02-16 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FindDuplicates, KBibTeX_Part, Settings, EntryWidgetOther, DocumentListWidget:
   Removing compiler warnings
 * WebQueryMathSciNet, WebQuery, Makefile.am, Makefile.in:
   Adding initial MathSciNet support

2010-02-10 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderLaTeX, IdSuggestions: Using translation table from LaTeX encoder
   to normalize entry ids to plain ASCII
 * FileImporterBibTeX: Minor improvements in tokenizer

2010-01-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderLaTeX: Fixing URL encoding/decoding issue;
   adding more Latin-based characters
 * IdSuggestions: Improving mapping of non-latin characters
 * FileExporterPDF, FileExporterRTF: Making exporters more robust

2009-12-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryArXiv: Fixing mutex locking issue

2009-12-02 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterBibTeX: Make doi field verbatim
 * FileExporterRTF: Fixing LaTeX file headers

2009-11-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Entry: Adding "number" as an optional field for "book"
 * EntryWidget: Refetch of ArXiv entries is more conservative
 * FileImporterBibTeX: Counting lines to show more informative debug/error output

2009-11-06 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetPublication: More robust way of calling browser in mixed KDE3/KDE4 environments
 * WebQueryArXiv: Minor bug fix with premature aborting
 * EntryWidget: Fixing minor UI problem

2009-11-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileImporterBibTeX: Removing byte-order mark from UTF-8 input

2009-11-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryArXiv: If article can be classified as TechReport or Article,
   put preference on Article (reported by Gandalf Lechner)
 * WebQueryArXiv, EntryWidget: Added function to refetch/refresh ArXiv articles
   based on stored url (requested by Gandalf Lechner)

2009-09-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterPDF, FileExporterPS: Removing incomplete cyrillic LaTeX headers
 * FileExporterBibTeX: Fixing issue with last names starting with small characters

2009-08-13 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryGoogleScholar: Rewriting search engine

2009-08-09 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterBibTeX: Adding patch by Jürgen Spitzmüller to handle complex names

2009-07-30 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterBibTeX: Adding function fix the encoding of special LaTeX characters

2009-07-08 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderLaTeX: Adding \ldots command; making code more robust
   (based on patch by Jurgen Spitzmuller <juergen.sp@t-online.de>)

2009-06-22 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * IdSuggestions: Falling back to editor names if no author names available
   (patch by Jurgen Spitzmuller <juergen.sp@t-online.de>);
   replace some accented and special characters by plain ASCII transliterations;
   (based on a patch by Jurgen Spitzmuller <juergen.sp@t-online.de>);
   Making list of "small words" in id suggesstions editable

2009-05-31 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryScienceDirect: Handling case with insufficient permissions to access service
 * KBibTeX_Part, DocumentWidget: Ids of all selected entries will be normalized as defined
   by default id suggestion

2009-05-24 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Entry: Simplified merge semantics
 * WebQueryCiteSeerX: Fixing potential URL encoding problem
 * FileImporterBibTeX: Simplified removal of HTML tags using regular expression
 * EntryWidget: Fixing crash triggered when previewing search hits
 * DocumentWidget: Keywords can be set for multiple entries at once using
   context menu

2009-04-27 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsFileIO, KBibTeXPart: Create a number of backup files when
   saving/exporting
 * DocumentWidget, KBibTeXPart: When saving, write to temporary file and overwrite
   original only on success
 * EntryWidget: Adding check if entry with same ID already exists
 * EncoderLaTeX: Major bugfixes with messed URLs (when decoding) and messed math
   inline (when encoding)

2009-03-19 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderXML, EncoderLaTeX, FileExporterBibTeX: Fixing issues with quotation marks

2009-02-21 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * SettingsIdSuggestions: Fixing crash when rearranging suggestions with no default
   suggestion selected

2009-02-19 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryScienceDirect: Fixing issue with spaces and other encoded chars in URL;
   adding warning to console if access properties are not sufficient to query DB

2009-02-15 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Tagging version 0.2.1.91 (0.2.2 Beta 2)

2009-02-09 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetExternal: Adding "previously used directory" to list of directories
   to start browsing from

2009-02-07 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileImporterBibTeX: Fixing compilation issue
 * FileImporterBibTeX, FileExporterBibTeX: More robust parameter command parsing

2009-02-06 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * SettingsEditing: Using URL auto completion when adding search paths
 * EntryWidgetExternal: Converting absolute paths to relative paths if possible
 * FileImporterBibTeX, FileExporterBibTeX: A per-file encoding can be specified by
   adding a special comment to the BibTeX file ( @comment{x-kbibtex-encoding=XXX} ),
   where XXX can be any encoding supported by iconv.

2009-02-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQuerySpiresHep: New option to fetch abstracts from arXiv
 * Entry: More flexible in detecting URLs in entries
 * WebQuery: Changing semantics of pressing Return key
 * DocumentWidget: Fixing code calling DOI website

2009-02-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsEditing, MergeElements: Sensitivity to find duplicates
   can be configured in settings
 * FindDuplicates, DocumentWidget: Fixing bug that let KBibTeX "forget"
   unmatched elements
 * EncoderLaTeX: Fixing issues with underscore char
 * EntryWidget: Asking user to discard changes if entry was modified
 * WebQueryArxiv: Using different regular expressions to parse journal references

2009-02-02 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * KBibTeXPart, DocumentWidget: Mimicking JabRef's key commands to view
   a local PDF file (F4) and to open the entry's DOI website (F5)

2009-01-20 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings: Source formatting changed slightly
 * Value: Fixing potential memory leak
 * FileExporterBibTeX: Source formatting changed slightly, replacing magic number
   by constant
 * SettingsUserDefinedInput: Fixing enabling behavior of Ok button
 * Releasing KBibTeX 0.2.1.90 (0.2.2 Beta 1)

2009-01-10 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FindDuplicates: Finding duplicate preambles added
 * MergeElements, Makefile.am, Makefile.in, DocumentWidget: Renaming mergeentries.*
   to mergelements.*
 * Preamble: Adding simple constructor
 * MergeElements: Adding support for duplicate preambles

2009-01-07 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * MergeElements: Adding progress bar for merging steps
 * MergeElements, WebQuery, EntryWidget: Fixing issues with restoring window size

2008-12-28 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings: Using QString::null instead of empty string for invalid configuration
 * DocumentWidget: More detailed error messages when communicating with LyX

2008-12-16 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryCiteSeerX: Adding new web query by Jacob Kanev
 * FileImporterBibTeX, WebQueryGoogleScholar: Fixing potential or actual deadlocks/bugs

2008-12-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * KBibTeXPart, KBibTeXShell: Fixing filtering of hidden files in open and save dialogs

2008-12-02 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterXML, FileExporterBibUtils, FileExporterRIS, FileExporterBibTeX,
   FileImporterRIS, DocumentSourceView: Adding signals and slots to update progress
 * FileImporterBibTeX: More robust code, canceling if input encoding does not match

2008-11-30 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderLaTeX, DocumentListView: Speeding up loading of large files

2008-11-17 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * xslt/html.xsl: Adding tags for volume and edition
 * Releasing KBibTeX 0.2.1.81 (0.2.2 Alpha 2)

2008-11-14 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryPubMed: Fixing crash in PubMed module

2008-11-10 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Fixing compiler warnings with gcc 4.3

2008-10-27 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FieldLineEdit, EntryWidgetOther: Fixing crash, using KDE over Qt widgets

2008-10-27 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FindDuplicates, MergeElements: Minor bug fixes, adding comments in sources

2008-10-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQuery: Saving and restoring window size;
   only searching if query seems to by valid

2008-10-25 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsZ3950: Changing management of Z39.50 server configurations
 * FileExporterBibUtils, FileImporterBibUtils: Various improvements and fixes

2008-10-23 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * KBibTeXPart, KBibTeXShell, File, DocumentWidget, Settings, SettingsFileIO,
   FileImporterBibTeX: File format for XML files can be chosen in dialog
 * Settings, File, FileImporterBibUtils, FileExporterBibUtils, WebQueryZ3950,
   KBibTeXShell, KBibTeXPart, SettingsFileIO, DocumentListView, DocumentWidget:
   Rewriting handling of BibUtils (no longer shared library)

2008-10-22 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentWidget: Adding file format selection dialog for unknown file suffixes

2008-10-06 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderLaTeX: Adding support for decomposed UTF-8 chars
 * FileImporterBibUtils: Preprocessing decomposed chars in incoming data

2008-09-28 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * ValueWidget, WebQueryZ3950, SettingsSearchURL, FieldListView,
   SettingsUserDefinedInput: Minor UI fixes
 * IdSuggestionWidget: Fixing deletion of id components
 * EntryWidget: Using code from KMainWindow to save and restore window size
 * Iso6937Converter, Iso5426Converter, MessageHandler, Latin1Literal:
   Adding Z39.50 files from Tellico
 * FileImporterBibTeX: Checking for duplicate fields
 * WebQueryZ3950, Z3950Connection: Refactoring source code using Tellico's code

2008-09-12 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * MergeEntries: Working on merging macros, too

2008-09-01 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentWidget: Updating preview after editing element
 * Settings, EntryWidget, IdSuggestions: Avoiding invalid chars in
   id suggestion system
 * EntryWidget: Adding field values in a clean fashion to auto-completion

2008-08-24 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQuery*: Fixing issue with numerical values in search query settings
 * EntryWidgetSource, DocumentSourceView: Setting encoding to 'latex'
   (no UTF-8 characters used)
 * Updating translations
 * IdSuggestions, IdSuggestionsWidget: "All but first author" added

2008-08-19 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsFileIO: Minor UI improvements when setting bib2db5 path
 * Sidebar, WebQuery: Minor UI changes regarding fonts

2008-08-18 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * File, KBibTeXPart, FileExporterDocBook5, Settings, SettingsFileIO:
   Adding support for DocBook5 bibliography export
 * SideBar: Adding multiselect feature

2008-08-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetPublication: Using publisher from crossref if available
 * Entry: Making merge semantics tristate

2008-08-10 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQuery*: Storing search queries in settings for later retrieval
 * WebQueryGoogle: Fixing issue with restarting search

2008-08-09 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryDBLP: Fixing search DBLP, adding option to not merge entries

2008-07-31 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * z3950-servers.cfg: Adding server
 * SettingsZ3950: Improving handling of Z39.50 settings
 * WebQueryScienceDirect: Beautifying UI layout
 * WebQuery: Improving UI

2008-07-30 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentListWidget: Marking files as modified on dropping data
 * WebQueryGoogleScholar: Checking if Google search is frozen,
   restarting if neccessary

2008-07-23 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQuery*: Fixing behavior when canceling a search, optimizing GUI
 * WebQueryBibSonomy, WebQueryCSB, WebQueryZ3950: Fixing minor bugs

2008-07-19 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetOther: Fixing issue with actually removing deleted fields
 * DocumentWidget: Preferring local file over remote files when opening associated document

2008-06-23 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterPDF, FileExporterPS, FileExporterRTF: Adding check for t2aenc.def before
   using fontenc T2
 * FileImporterRIS: Reactivating usage of ID field to generate BibTeX id

2008-06-19 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * SettingsDlg, SettingsZ3950, KBibTeXShell: Inserting #ifdefs to resolve
   compilation issues

2008-06-18 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsZ3950: Improving handling of Z39.50 server configuration
 * Settings: Interpreting ~/ in file names as the user's home directory

2008-06-13 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * SettingsZ3950: Improving GUI

2008-06-10 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Releasing KBibTeX 0.2.1.80 (0.2.2 Alpha 1)

2008-06-08 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * MergeEntries: Improving usability
 * FindDuplicates: Correcting handling of merging files with identical
   entry ids

2008-06-07 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * MergeEntries, FindDuplicates: Adding new code to find duplicates and merge
   entries

2008-05-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderLaTeX, FileExporterBibTeX: Improving handling of characters not supported
   by target encoding

2008-05-23 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, FileExporterBibTeX, FileImporterBibTeX, FileImporterBibUtils,
   EntryWidgetSource, DocumentWidget, DocumentListView, DocumentSourceView,
   SettingsFileIO, MergeEntries: Changing encoding system for BibTeX import
   and export, using iconv to support all existing encodings

2008-05-17 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FindDuplicates: Initial code to find duplicates in BibTeX files

2008-05-15 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderLaTeX, FileExporterPDF, FileExporterPS, FileExporterRTF: Support for
   cyrillic chars added

2008-05-12 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryScienceDirect: Adding querying ScienceDirect
 * WebQuery: Refactoring download, progress bar, and result handling
 * WebQueryPubMed, WebQueryDBLP, WebQueryZMath, WebQueryZ3950, WebQueryGoogleScholar,
   WebQueryBibSonomy, WebQueryCSB, WebQueryIEEExplore, WebQueryCiteBase, WebQueryArXiv,
   WebQuerySpiresHep, WebQueryAmatex: Switching to refactored WebQuery code

2008-05-10 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * IdSuggestions, EntryWidget, DocumentWidget: Improving handling of default id
   suggestions and id conflicts

2008-05-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings: Z39.50 server configuration added
 * WebQueryZ3950: Selection of Z39.50 server possible, better GUI for queries
 * MergeEntries: Entries can be edited before merging
 * Entry: Adding equals operator
 * DocumentWidget: Correctly encoding online search's query
 * WebQuerySpiresHep: Nicer search UI to select raw query, author, title, ...
 * WebQuery: Various GUI improvements
 * Adding Italian translation

2008-04-30 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Value: Extending API to create macro keys more easily
 * WebQueryIEEExplore: Trying to fix malformed dates

2008-04-27 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQuery: Use default id suggestion for entries found by web queries
 * configure.in.in, WebQueryZ3950, Z3950Connection, WebQuery: Fixing issues with #ifdef

2008-04-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidget, EntryWidgetSource: Improving reset button,
   checking if source code is valid before applying to entry
 * FileImporter*, FileExporter*: Making code more robust
 * WebQuery, WebQueryZ3950, Z3950Connection: Adding inital code for Z39.50 queries
 * WebQuery, WebQueryIEEExplore: Adding initial code for IEEExplore

2008-04-23 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetSource: Adding reset button

2008-04-10 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryZMATH, WebQueryGoogleScholar, WebQueryBibSonomy, WebQueryCSB, WebQueryCitebase,
   WebQuerySpiresHep: Fixing bug when generating urls for web queries
 * WebQueryCSB: First working version
 * EncoderLaTeX: Fixing circumflex bug, preparing better support of cyrillic letters

2008-04-08 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryCSB: Adding initial code to query U Karlsruhe's CS bibliography

2008-04-06 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * fr.po: Adding template for French translation
 * Translations: Updating message strings
 * FileExporterBibUtils, FileImporterBibUtils, configure.in.in:
   Rewriting BibUtils support to prepare for modified API
 * WebQueryZ3950, KBibTeXShell: Adding initial support for YAZ

2008-04-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterPDF, FileExporterPS: Fixing bug in intermediate tex file
 * WebQueryPubMed: Fixing query url, adding link to PubMed in entry

2008-04-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * SettingsEditing, EntryWidgetExternal: Improving handling of document search paths

2008-03-23 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQuery, WebQueryPubMed, WebQueryDBLP, WebQueryZMATH, WebQuerySpiresHep,
   WebQueryGoogleScholar, WebQueryArXiv, WebQueryAmatex, WebQueryBibSonomy,
   WebQueryCitebase: Adding infrastructure allowing each web query to use its
   own query form

2008-03-22 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsFileIO, DocumentWidget: Using BibUtils can be made optional
 * Settings, SettingsEditing: DocumentSearchPath may contain list of paths
 * SettingsIdSuggestions, SettingsKeyword, SettingsSearchURL, SettingsUserDefinedInput:
   Minor UI improvements
 * DocumentListView: Cleaning code, refactory paste code
 * FileImporterRIS: Minor improvements for RIS from SpringerLink

2008-03-16 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Releasing KBibTeX 0.2.1
 * WebQuery: Adding read-only preview for search hits

2008-03-13 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * html.xsl: Adding note field
 * SideBar, DocumentWidget, EntryWidgetExternal: Handling read-only cases better
 * IdSuggestions: Handling commands in title

2008-03-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsEditing, DocumentListView: Adding drag operation supporting
   both copying reference or bibtex code

2008-03-10 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentWidget, DocumentListView, DocumentSourceView, KBibTeXPart:
   Adding "select all" feature
 * WebQuery, WebQueryArXiv: Fixing bug with empty search strings
 * EntryWidget, EntryWidgetTitle: Title field is first widget to get focus

2008-03-09 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * ValueWidget, EntryWidgetPublication, EntryWidget, DocumentSourceView:
   Handling read-only cases better
 * EntryWidgetOther: Fixing memory corruption
 * Version bump to 0.2.0.91

2008-03-02 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidget: Fixing default id suggestion button state; improving warning message;
   improving conflicting entry ids

2008-03-06 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetPublication, EntryWidgetExternal, EntryWidgetTitle,
   EntryWidgetSource, EntryWidgetUserDefined, EntryWidgetAuthor, EntryWidget,
   EntryWidgetTab, EntryWidgetOther, EntryWidgetKeyword, EntryWidgetMisc:
   Refactoring internal apply and reset system
 * EntryWidget, EntryWidgetDialog: Handling close event
 * IdSuggestionWidget, IdSuggestionComponent, IdSuggestionComponentAuthor,
   IdSuggestionComponentTitle, IdSuggestionComponentYear, IdSuggestionComponentText:
   Adding example
 * DocumentListView: Updating visibility for new elements
 * KBibTeXShell, FileExporterBibUtils, DocumentListView, FileImporterBibUtils,
   DocumentWidget, KBibTeXPart, File: Improving support for imports/exports
   from/to bibutils

2008-02-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryPubMed: Fixing progress bar problem

2008-02-24 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentSourceView: Fixing crash
 * WebQueryWizard: Fixing crash when canceling search
 * FileImporterRIS: Improving import of abstracts
 * IdSuggestionsListViewItem, SettingsIdSuggestions: Adding examples to suggestions;
   fixing bug with favourite suggestion when moving up and down
 * IdSuggestions: Checking for duplicates
 * Entry, FileImporterBibTeX: Making code more robust

2008-02-13 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsIdSuggestions, EntryWidget, DocumentWidget, IdSuggestions:
   An id suggestion can be selected as default, no need to select entry id manually

2008-02-09 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryGoogleScholar: Working on cancel operation

2008-02-08 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderLaTeX: Improved handling of dollar signs
 * SideBar, SearchBar, Settings, SettingsEditing: Searchbar filter for fields is
   reset when typing (optional by configuration)

2008-02-02 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, Value, FieldListView: Adding both "FirstName LastName" and
   "LastName, FirstName" to auto-completion for both authors and editors
 * IdSuggestionComponentTitle: Fixing translation
 * IdSuggestions: Refactoring handling of small words
 * Version bump to 0.2.0.90

2008-01-28 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetUserDefined, EntryWidget, EntryWidgetKeyword, DocumentWidget,
   EntryWidgetOther, KBibTeXPart: Fixing minor issues when KBibTeX is embedded
   as read-only part

2008-01-27 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryDBLP: Merging both entries (conference article and proceedings) per hit
 * Entry: Improving entry merging

2008-01-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQuery*: Fixing crashes, improving cancel operation and improving
   error handling
 * File: Adding const functions, fixing infinite loop
 * FileExporterXML, FileExporterRIS: Using const functions from File

2008-01-25 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * SettingsIdSuggestions, EntryWidgetKeyword, SettingsSearchURL,
   SettingsUserDefinedInput, SettingsKeyword: Adding icons to push buttons
 * SettingsIdSuggestions, SettingsUserDefinedInput: Fixing moving elements
   up and down

2008-01-24 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentListView: Fixing broken copy-to-clipboard code

2008-01-22 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileImporterBibTeX: Minor bugfix regarding valid ids
 * EntryWidgetPublication: Beautifying page field
 * DocumentListView: Checking for duplicate ids when inserting items

2008-01-21 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentWidget: Refactoring file opening code
 * KBibTeXPart: Merge for file types other than .bib possible
 * FileImporterRIS, FileImporterBibUtils, FileImporterBibTeX:
   Fixing guessCanDecode(..)
 * DocumentListView: Pasting .ris files possible

2008-01-19 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Improving internationalization support, including correct plural forms;
   updating German and Russian translation

2008-01-17 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Many changes for better i18n support

2008-01-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterBibTeX: Fixing usage of protective curly brackets
 * DocumentWidget, KBibTeXPart: Fixing enabling and disabling of menu items

2008-01-09 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * IdSuggestionWidget: Improving GUI

2008-01-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsFileIO, FileExporterBibTeX: Adding new option to put
   curly brackets around title and other selected fields to protect them
   from case changes in some BibTeX styles
 * DocumentListView: Fixing bug when deleting several items from list
 * EncoderXML: Taking care of special chars like < and >
 * WebQueryWizard: Storing current settings after closing dialog
 * WebQueryPubMed: Showing progress

2008-01-03 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, WebQueryWizard: Keeping dialog between searchs, adding
   auto-completion to search term, checkbox to import all hits
 * SettingsUserDefinedInput: Adding buttons to move items up and down
 * DocumentListView, DocumentWidget: Fixing bug where changes in entry
   dialog were not applied to main list view

2007-12-31 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryArXiv: Improving parsing content of website
 * DocumentWidget: Improved handling of web query results
 * WebQuery: Minor UI improvements
 * WebQueryPubMed: Changing entry type to article if it is from a journal,
   fetching abstract, detecting first and last name correctly

2007-12-30 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQuery, WebQueryWizard, WebQueryAmatex, WebQueryArXiv, WebQueryBibSonomy,
   WebQueryCitebase, WebQueryDBLP, WebQueryGoogleScholar, WebQueryPubMed,
   WebQuerySpiresHep, WebQueryZMATH: Refactoring WebQuery classes (no more
   UI elements); may have introduced bugs and regression
 * Preamble, Macro, Entry, Comment, FileExporter, FileExporterXML,
   FileExporterExternal, FileExporterBibTeX, FileExporterPDF, FileExporterPS,
   FileExporterRTF, FileExporterRIS, FileExporterBibUtils, FileExporterXSLT:
   Making functions const
 * EntryWidgetOther, File: Refactoring completeReferencedFields for better
   const support
 * KBibTeX_Part, SearchBar: Refactoring searching online databases (after
   WebQuery rewrite)
 * DocumentWidget, DocumentListView: Some major refactoring
 * Entry, Comment, Element, Macro, SearchBar: Searching supports exact,
   every word and any word now

2007-12-25 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * IdSuggestionComponent*, IdSuggestionsWidget: Initial version of a
   widget to edit id suggestions

2007-12-24 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * IdSuggestionsListViewItem, SettingsIdSuggestions, IdSuggestions:
   Representing id suggestion format strings in a human readable form
 * KBibTeXPart: Disabling menu items if no element is selected

2007-12-23 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentWidget: Fixing bug with KDirWatch when modifying a file
   while handling dirty signal

2007-12-10 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentSourceView: Refactoring code, fixing crash related to editor
   component
 * DocumentWidget: Fixing crash, fixing handling of preamble, refactoring
   insertion of web query results

2007-12-09 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsUserDefinedInput, EntryWidgetUserDefined,
   EntryWidgetOther: Adding initial support for user-defined input fields
   in entry edit dialog
 * FileExporterPDF, FileExporterPS: Better error handling if pdflatex or
   latex fails
 * EncoderLaTeX: Adding additional encoding cases
 * DocumentWidget: Avoiding duplicate ids for new entries

2007-11-24 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderXML: Support for coded chars (&#x0123;) added
 * WebQueryArXiv: Refactoring to fetch all data from arxiv.org only
 * Preparing project for internationalization (i18n) and
   localization (l10n)
 * WebQuery: Added erase button for the search string

2007-11-22 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * ValueWidget: Fixing bug which inverted the order of value items
 * EntryWidgetPublication: ISBN numbers can be looked up in Wikipedia
 * FileExporterXML: Supporting combined months (e.g. nov # "/" # dec)

2007-11-16 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentListViewItem, WebQuery: Removing {, }, and ~ when displaying
   BibTeX entries for better readability
 * WebQueryArXiv: Abstracts will be fetched, too; multiple words in
   a query possible; UI and bugfixes

2007-11-14 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryArXiv: Initial code to query arXiv (including SPIRES and
   ADS) added

2007-11-06 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryGoogleScholar: Adding progress bar, allows canceling search

2007-11-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryGoogleScholar: Search Google Scholar finally works

2007-10-28 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterBibTeX: Refactoring save method

2007-10-23 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Releasing KBibTeX 0.2

2007-10-13 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetTitle, File: Fixed handling of title and book title
   for crossref'ed entries

2007-10-12 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsFileIO, DocumentListView, KBibTeXPart:
   Lyx in pipe detection will be performed before sending data,
   no more user interaction/configuration necessary

2007-10-07 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsFileIO: Changed detection of LyX in pipe

2007-10-03 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Releasing KBibTeX 0.1.5.56

2007-09-29 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterXML, FileExporterRIS: Resolving macros and crossref
   before exporting file
 * Settings, SettingsEditing: Disallow "no sorting"
 * File: For better usability, showing value of macro references

2007-09-27 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterBibUtils, FileImporterBibUtils, KBibTeXShell,
   KBibTeXPart, DocumentWidget: Fixing support for BibUtils
 * kbibtex_part.desktop, kbibtex.desktop: Entries fixed

2007-09-24 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetPublication, EntryWidgetTab,
   EntryWidgetTitle: Validity check uses data from
   crossref'ed entry
 * DocumentListView: Preview uses data from crossref'ed
   entry

2007-09-23 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentWidget: Preview uses data from crossref'ed
   entry

2007-09-22 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileImporterBibTeX, EncoderLaTeX: Better debug output
   if parsing a .bib file fails
 * WebQueryPubMed, WebQueryDBLP, WebQueryZMATH,
   WebQueryBibSonomy, WebQueryCitebase, WebQuerySpriesHep:
   Saver query urls
 * WebQueryGoogleScholar: Query interface for Google
   Scholar
 * WebQueryAmatex: Query interface for Amatex
 * SearchBar, DocumentWidget, KBibTeXPart: Putting search
   in online databases more prominently in the UI

2007-09-21 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsFileIO: Improved finding LyX's
   in pipe

2007-09-20 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterRIS, FileImporterRIS: Improving keyword
   support for RIS modules
 * DocumentWidget: Fixing bug in assigning keywords
   using context menu
 * Releasing KBibTeX 0.1.5.55

2007-09-17 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetUser: Detecting URLs and file names in
   field values, enabling Open button
 * FileExporterPDF, EntryWidgetUser, EntryWidgetExternal,
   DocumentWidget, File, Settings: Improved detecting
   local files if referenced in a BibTeX file

2007-09-16 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * KBibTeXPart, DocumentWidget: Minimal statistics
   dialog added
 * DocumentWidget: Bug fix: Assigning keywords marks
   file as modified
 * KBibTeX: Bug fix: Disabling/enabling menu items only
   if available
 * SettingsIdSuggestions: Suggestions will be edited
   in input dialog and no longer inside list view
 * DocumentWidget: Long keyword lists in the context
   menu will be split into a two-level menu

2007-09-08 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Element, Entry, Preamble, Comment: Added text()
   method for debugging
 * FileExporterBibTeX: Fixed bug with bracket handling

2007-09-02 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileImporterBibTeX: Improved parser for names with
   curly braces

2007-09-01 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Value: Parser for names can handle curly braces

2007-08-28 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentWidget, KBibTeXPart: Adding code to
   actually add preamble elements

2007-08-27 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * File, FileImporterBibTeX, FileExporterXML,
   FileExporterBibTeX, MergeEntries, DocumentWidget,
   DocumentListView, DocumentListViewItem, Preamble,
   PreambleWidget: Added better support for BibTeX
   preamble

2007-08-25 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Releasing KBibTeX 0.1.5.54

2007-08-23 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsSearchURL, DocumentWidget: Making
   decision whether to include author per search entry

2007-08-20 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsSearchURL, DocumentListView: For
   web searchs, authors' names can be included next to
   title

2007-08-19 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings: Changes to make settings object static
 * SettingsEditing: UI changes, using combo box for
   name ordering
 * Value, EntryWidgetPublication: Checks for invalid
   entries improved

2007-08-17 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileImporterBibTeX: Comments can be ignored
   optionally; cleaning input data from some HTML code
 * FileExporterPDF, FileExporterPS: Support for apacite
   improved
 * WebQueryDBLP: Adding DBLP as new web search
 * WebQueryCitebase: Adding Citebase as new web search
 * Settings, EntryWidgetKeyword, WebQueryWizardBibSonomy:
   Several bugfixes

2007-08-14 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * SettingsIdSuggestions: Minimal GUI to edit id
   suggestions
 * IdSuggestions: Improvements and additions to pseudo
   code

2007-08-13 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * IdSuggestions: Modified system to use a printf like
   system of shortcuts to describe an id

2007-08-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterBibUtils, FileImporterBibUtils,
   KBibTeXShell, DocumentWidget, KBibTeXPart,
   configure.in.in: Checking for bibutils with configure,
   using #define for conditional compilation
 * WebQuerySpiresHep: Adding Spires-Hep as new web search
 * WebQueryZMATH: Adding Zentralblatt MATH as new web
   search
 * IdSuggestions: Added new class to create a list of
   suggestions for possible ids of new entries
 * Version bump to 0.1.5.54

2007-08-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterBibUtils, FileImporterBibUtils: Initial
   version of importer and exporter using a library
   based on Chris Putnam's bibutils
 * KBibTeXShell, DocumentWidget, KBibTeXPart: Adding
   support for bibutils based importer and exporter
 * EntryWidgetExternal, DocumentListView, EntryWidgetUser,
   DocumentWidget: Using KRun to open external files in
   their respective viewers

2007-08-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Several minor code cleanups
 * KBibTeXShell: Keyboard shortcuts can be configured
   for actions inside the part
 * KBibTeXPart: Setting default keyboard shortcuts
 * EntryWidget, EntryWidgetTab: Refactoring to use
   EntryWidgetTab as widget in main view

2007-07-30 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryBibSonomy, BibSonomyWizard: Added web query
   wizard to query and to import from BibSonomy
 * WebQuery, PubMedWebQuery: Some refactoring code

2007-07-28 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * MergeEntries: New class and code to merge two BibTeX
   files
 * Version bump to 0.1.5.53

2007-07-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentWidget: Added file watch to notify user if
   BibTeX file has been modifed from outside
 * FileListView: Support for BibTeX "and others" feature
   added (special checkbox for authors and editors)

2007-07-15 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileImporterBibTeX, FileExporterBibTeX, Comment,
   CommentWidget: Plain text in .bib files between
   entries is treated as comments
 * Settings, FileExporterToolchain: Implemented kpsewhich()
   to check if a given file is available to the TeX system
   (code is duplicated in both classes!)
 * FileExporterToolchain: Some code cleanups
 * FileExporterPDF, FileExporterPS, FileExporterRIS,
   DocumentWidget: Using kpsewhich() to check for packages
   before including them into TeX code for export
 * FileExporterPDF, DocumentWidget: DocumentSearchPath is
   used to located file to be embedded
 * EncoderLaTeX: Minor fixes

2007-07-07 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsEditing, DocumentWidget: Default
   search path for "View Document" can be specified;
   additionally, the current file's path is used as
   search path, too.
 * SettingsFileIO, EntryWidget, FileExporterToolchain,
   DocumentListView, SideBar, KBibTeXPart: Minor bugfixes

2007-07-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * SideBar: Sorting for number of occurrences is
   numerically now
 * DocumentWidget: Empty keyword menu if no keywords
   available
 * EncoderLaTeX: Minor encoding bug fixed
 * Entry: TechReport may have ISSN

2007-07-03 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsFileIO, FileExporterBibTeX, ...:
   BibTeX keywords may be written in different casing
   styles such as @inproceedings, @Inproceedings,
   @InProceedings, or @INPROCEEDINGS
 * File, SideBar: Number of hits shown next to found
   value
 * Version bump to 0.1.5.52

2007-06-17 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, FieldLineEdit: Macro ids (keys) are used for
   auto-completion, too
 * FileExporterPDF: Bugfix in PDF export (always including
   embedfile)
 * EntryWidget: Improving code for id suggestions
 * DocumentWidget: Code optimization (fewer refreshing)

2007-06-14 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileImporterBibTeX: Code cleanups, refactoring
 * EntryWidget: Initial code for id suggestions
 * FileExporterBibTeX: Reverting most of previous changes
 * EntryWidgetKeyword: Keyword handling fixed
 * DocumentWidget: Minor code improvement
 * SideBar: Minor changes in renaming code
 * Version bump to 0.1.5.51

2007-06-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Changed copyright information to 2007
 * Keyword, KeywordContainer: Bugfixes in keyword handling
 * EntryWidgetSource: Honouring first name first flag
 * SettingsFileIO: GUI changes for PDF export
 * Value, ...: String replacement can handle container classes
 * DocumentListView, FieldListView: Code cleanups
 * FileExporterBibTeX: Fixed bug in quoting macro text

2007-06-09 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderLaTeX: Rewriting encoding system so that it accepts
   LaTeX commands that would require a context-sensitive
   language otherwise
 * DocumentListView: Added progress bar to be shown when
   updating the main list view
 * Settings, SettingsEditing, Person, PersonContainer, ...:
   New configure option: Show first name first; requires
   restart to take effect
 * FileExporterPDF, Settings, SettingsFileIO: File pointed
   to by a reference can be added to the exported PDF if
   available

2007-06-06 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentListView, DocumentListViewItem, DocumentSourceView,
   DocumentWidget, Encoder, EncoderLaTeX, EncoderXML, Entry,
   EntryWidget, EntryWidgetPublication, EntryWidgetWarningsItem,
   FieldLineEdit, FileExporterExternal, FileImporter,
   FileImporterExternal, KBibTeXShell, SearchBar,
   SettingsEditing, SettingsSearchURL, SideBar, XSLTransform:
   Source formatting changed slightly
 * DocumentListView, DocumentListViewItem, Entry, EntryField,
   EntryWidgetExternal, EntryWidgetKeyword,
   EntryWidgetPublication, EntryWidgetUser, FieldLineEdit,
   FieldListView, File, FileExporterBibTeX, FileExporterRIS,
   FileExporterToolchain, FileExporterXML, FileImporterBibTeX,
   FileImporterRIS, Macro, Settings, ValueWidget:
   Changes due to modified classes representing BibTeX data
   (BibTeX::Value and related classes)
 * DocumentWidget: Changes in keyword handling and searching
   websites due to modified classes representing BibTeX data
   (BibTeX::Value and related classes)
 * DocumentListView: Drag'n'drop of urls from Firefox correctly
   processed
 * Encoder, EncoderLaTeX, EncoderXML: Code cleanups
 * EncoderLaTeX: If a string contains \url, do not replace & by
   \& (actually, undo previous replacement), otherwise url will
   be broken
 * EntryWidget: Button to insert suggestions for ids added, but
   not yet functional
 * EntryWidgetKeyword: Modifications on keyword management
 * kbibtex_part.cpp, SettingsFileIO: Adding support for LyX
   in pipe
 * SettingsDlg, SettingsKeyword: Changes due to improved
   keyword support
 * Value, ValueTextInterface, PlainText, MacroKey,
   PersonContainer, Person, KeywordContainer, Keyword,
   ValueItem: Completely new/rewritten classes to handle
   BibTeX data
 * WebQueryPubMed: Switching to KIO::NetAccess, but still
   work in progress
 * WebQuerySRU: Work in progress

2007-02-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * SettingsKeyword, EntryWidgetKeyword, DocumentWidget:
   Improving keyword support

2007-01-14 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsFileIO, DocumentListView, DocumentWidget,
   KBibTeXPart: Adding support to send references to LyX using
   an in pipe

2007-01-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidget: Checking the identifier for invalid characters

2006-12-27 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Value, ValueItem, ValuePersons, PersonValueKeywords: Replace
   function added
 * SideBar: All occurrences of a value can be replaces using a
   context menu in the sidebar
 * keywords.bib: New benchmark file

2006-12-09 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * ValueKeywords: Introducing new class to handle keywords

2006-11-19 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * SettingsKeyword, EntryWidgetKeyword: Added support for
   keywords assigned to BibTeX entries

2006-10-23 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileExporterRIS: Initial code to export RIS files added

2006-10-21 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FileImporterRIS: Initial code to import RIS files added
 * SearchBar: Making the search bar taller
 * DocumentWidget: Fixing the main view's context menu for
   "View Document"
 * FileImporter: Fixing error when compiling with GCC 4.2

2006-10-08 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentListView: Fixing bug when selecting multiple
   entries in a filtered list

2006-10-06 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderLaTeX, FileImporterBibTeX, FileExporterBibTeX:
   Fixing problem with encoding ampersants from and to
   BibTeX/LaTeX files
 * Releasing version 0.1.5

2006-10-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentWidget, SearchBar: Minor UI improvements
 * DocumentSourceView: Focus handling improved; bugfix in
   pre KDE 3.4 support
 * Setting version 0.1.4.85

2006-10-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Minor bugfixes
 * WebQueryPubMed: Allowing both 'ForeName' and 'FirstName'
   in author fields in XML document
 * DocumentSourceView: Making search compatible with pre
   KDE 3.4 releases
 * Setting version 0.1.4.81

2006-10-03 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentSourceView: Searching in text added
 * FieldListView: Correct handling of names fixed
 * SideBar: Disabling widget when not visible
 * Entry, EntryWidgetPublication: Handling required and optional
   fields fixed
 * KBibTeXShell: Tool button for opening files opens a list
   of recent files similar to KPDF
 * Setting version 0.1.4.80

2006-10-01 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetExternal: Added a browse button for local file
 * WebQueryPubMed: Changed UI to a simple dialog, no more
   wizard
 * html.xslt: Added more fields to the stylesheet, so preview
   will show more information

2006-09-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryPubMed: Switching NCBI's interface from esummary to
   efetch, as this returns a more modern/structured output

2006-09-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, SettingsEditing, DocumentListView, FieldLineEdit,
   FieldListView, SideBar, SearchBar: User-defined font can be
   set for widgets containing BibTeX data; useful if special fonts
   are required

2006-09-24 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Global renaming of BibTeX classes (now without "BibTeX" in
   classname)

2006-09-21 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXValue: Patch by Frank Osterfeld to fix name parsing
 * Replacing QPtrList by QValueList using patches from Frank
   Osterfeld
 * SideBar: Patch by Frank Osterfeld to navigate via keyboard
 * As suggested by Frank Osterfeld, compare(..) replaced by ==
   and find(..) replaced by contains(..)

2006-09-19 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXEntry: DOI urls will be complete with a prefix if
   they do not start with "http"
 * WebQueryPubMed: Columns in search results list view
   rearranged, fixing page numbers, detecting publication type
   and journal title
 * DocumentListView: Crash fixed when opening documents with
   the enter key
 * Rearranged and renamed menu items for better usability

2006-09-17 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXValue, BibTeXValuePersons: Specialization for persons
   (authors and editors) added. Now persons will be sorted by
   last name in the sidebar
 * SideBar: List uses values from current file only, no longer
   from competion lists
 * WebQueryPubMed: Simplified, only PubMed will be queried
 * Rearranged some menu items
 * Removing command sequences from preview and list view items
   for better UI display
 * Setting version 0.1.4.58

2006-09-13 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXEntry: Field type localfile is optional now
 * Settings: Added SpringerLink as search engine
 * EntryWidgetPublication: Forcing correct hyphen for pages
 * DocumentWidget: Updating context menu when changing search
   engines
 * BibTeXEntry: New function returns list of URLs of this entry
 * Settings, SettingsEditing, DocumentListView: Double click
   action in main list can be set to either edit an entry or open
   an URL of this entry
 * SettingsEditing, DocumentListView: Column sorting fixed, got
   broken during some refactoring
 * SettingsDlg, SettingsEditing, DocumentWidget,
   DocumentListWidget: Dialog actions and handling improved (e.g.
   Apply button), settings will be stored correctly

2006-09-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryPubMed: Crash fixed; UI improvements; minor bugfixes

2006-09-10 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryPubMed: Some more fixes and clean-ups
 * SideBar: Toggle button to switch between important and all
   field types added
 * Some refactorings regarding searching Internet based
   bibliography sources
 * DocumentWidget, Settings: Width of SideBar and height of
   Preview will be saved and restored
 * FieldListView: Adding keyboard shortcuts such as Ctrl+A to add
   new authors/editors
 * Setting version 0.1.4.57

2006-09-09 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXEntry: Fixed bug by changing "Electronic (IEEE)" to
   "Electronic"
 * DocumentListView: Column "Element Type" can be hidden now, too;
   "Element Id" renamed to "Entry Id"
 * KBibTeXPart: Menu to select columns to show is in main menu
   under "View" now, too
 * SearchBar: Clear button resets restriction to "All Fields"
 * SideBar: Instead of double-click, global KDE setting is used
   (signal execute)
 * WebQueryPubMed: Some code clean-ups, XML data will be dumped as
   debug output for manual analysis

2006-09-06 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings: New search engines added (taken from
   http://de.wikipedia.org/wiki/CiteSeer)

2006-09-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQueryPubMed: Importing elements worked for the first time

2006-09-03 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * WebQuery*: Initial code to query web-based bibliography
   databases, not working yet
 * DocumentWidget: Code from Felix Schmitt <fschmitt@stanford.
   edu> added which fixes some crashs
 * DocumentListView: Code from Felix Schmitt <fschmitt@stanford.
   edu> added which adds better drag'n'drop functionality
 * DocumentListView, BibTeXFileImporter*: Code from Felix
   Schmitt <fschmitt@stanford.edu> added which adds an intelligent
   mechanism when pasting text
 * Setting version 0.1.4.56

2006-09-02 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * SideBar: New widget in main window to select text to filter
   the document for

2006-08-30 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Setting version 0.1.4.55

2006-08-28 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FieldListView: Completion support should work by now
 * EntryWidget, EntryWidgetSource: Completion system improved

2006-08-20 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FieldListView: Double click problem to add new items fixed

2006-08-16 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidget: Checking for missing data on a regular time base
   makes warnings more up-to-date
 * SettingsSearchURL: Disable buttons when not available

2006-08-13 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentWidget, DocumentListWidget: Context menu shows documents
   associated with the selected BibTeX entry
 * KBibTeXShell: Removed "Quit" menu item, only "Close" remains
 * KBibTeX: Making KBibTeX a KUniqueApplication, so only one instance
   with possibly multiple windows will run at any time
 * Setting version to 0.1.4.54

2006-08-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetPublication: Rearranged field widget for better
   usability: more important fields are on the left, less
   important ones are on the right
 * SettingsSearchURL: Changed UI how URLs are entered and
   maintained

2006-08-01 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, FieldLineEdit, FieldListView, EntryWidgetAuthor,
   EntryWidgetTitle, EntryWidgetPublication: Completion system modified
   to support independent completion for different types of fields

2006-07-30 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings, DocumentWidget, FieldLineEdit, FieldListView: Added text
   completion using strings occurring elsewhere in the file

2006-07-29 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXEntry, BibTeXElement, BibTeXComment, BibTeXString,
   DocumentListView, DocumentWidget, SearchBar: Support to filter
   for specific fields when searching added
 * Added short-time highlighting (bold font) for newly pasted elements in
   the main list as a visual feedback

2006-07-28 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentSourceView: Added undo and syntax highlighting capabilites to
   Kate component

2006-07-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * kbibtex_part.rc, kbibtex_part.rc: Moved files back to src/
 * EncoderLaTeX: Added German quotes support
 * KBibTeXPart: Crash fixed when embedding into Kile

2006-07-24 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentListView, DocumentListViewItem: Can handle reordering columns now
 * DocumentWidget: Small UI changes
 * KBibTeXPart: Calling DocumentWidget's deferred initalization deferred now
 * Settings: Modifications to save/restore DocumentListView's ordering and
   sorting

2006-07-16 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * kbibtex_part.rc, kbibtex_part.rc: Moved files to data/config/
 * DocumentWidget, DocumentListView, DocumentSourceView, SearchBar:
   Unified API introducing function setFactory(...)
 * DocumentSourceView: Using Kate part by default; text can be copy,
   cut and pasted now
 * DocumentWidget: Better code by using enum EditMode; functions
   newElement, cutElements, copyElements, pasteElements supported in
   source edit mode
 * KBibTeX: File open dialog starts in same directory as currently open
   document (if applicable)
 * KBibTeXPart: File save and export dialogs start in same directory as
   currently open document (if applicable)
 * Calling the current development version 0.1.4.51

2006-07-14 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXFileExporterRTF: Support to export to RTF (Rich Text Format) added

2006-07-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentSourceView: Crash in destructor fixed (code is still alpha)
 * KBibTeX: Switched from KApplication::quit to KApplication::closeAllWindows
   for KBibTeX's quit operation

2006-07-02 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentListView: Pressing the enter or return key opens the entry
   editing similar to double-clicking on an list element
 * SearchBar: Shortcut for search bar changed from Alt+A to Alt+S

2006-06-22 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EncoderLaTeX: Encoding of backslashes fixed
 * DocumentSourceWidget: Working on using KTextEditor part

2006-06-15 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXFileImporterBibTeX: When writing entries containing quote chars and
   using quote chars as delimiters at the same time resulted in a parser
   failure; fixed.

2006-06-10 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXFileImporterBibTeX, DocumentWidget: Integrating Frank Osterfeld's
   patches for fixing the BibTeX parser and the modification status when
   pasting BibTeX elements

2006-06-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentListView, DocumentListItem, Settings: Columns in the main list view
   are more flexible, any standard field type can be (de)selected using the
   list header's context menu

2006-05-24 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Local File patch from Sebastian Scherer <basti@andrew.cmu.edu>
   added

2006-05-09 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetUser: Sizing problem in list view with long values for
   user-defined fields fixed

2006-05-07 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentListView, Settings: Working on having all field types as columns
   available (work in progress)
 * main.cpp, KBibTeX: File opening and closing management made more intuitive
 * KBibTeX, KBibTeXPart: Minor fixes and improvements in configuration
   management
 * Settings: Additional search URL for PubMed added

2006-04-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FieldListView: Fixing warning
 * Releasing KBibTeX 0.1.4

2006-04-18 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetAuthor: When editing Book or InBook entry, only author xor
   editor are required; warnings adapted
 * FieldListView: Internal status problem when deleting all list items fixed

2006-04-17 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * For all occurrences of QTextStream ensure that it is using UTF-8
 * EntryWidget: Improve warnings for entry (GUI improved, missing warning
   for month added)

2006-04-15 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXValue: static function to check if a text contains only valid chars
   for a string key
 * EntryWidgetExternal, EntryWidgetMisc, EntryWidgetPublication, EntryWidgetTab,
   EntryWidgetTitle, FieldLineEdit: Check and warnings for invalid string
   keys implemented

2006-04-13 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * KBibTeXPart: KMessageBox with list not available in old KDE versions.
   Fixed with conditional compilation
 * FieldListView: Empty items forbidden, double click on list creates new
   item, moving items while editing disabled
 * Preparing for 0.1.3.96 (aka 0.1.4 Beta 5)

2006-04-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXFileExporter*: Error log in form of a string list is passed to the
   encoders
 * BibTeXFileExporterBibTeX: BibTeX exporter will honor encoding (LaTeX or
   UTF-8) now
 * FieldListView: QToolTips added, Warnings fixed
 * SearchBar: Icons enlarged, QToolTops and spacings added

2006-04-06 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidget*: If an entry's edit dialog has modifications, a warning
   message will pop up before closing the window, thus preventing the user from
   loosing his/her data

2006-03-29 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * DocumentWidget, KBibTeXPart: Saving mechanism for part refactored, hopefully
   some bugs fixed
 * KBibTeXSettingsIO: Bibliography styles added
 * ValueWidget: Renaming policy changed
 * Preparing for 0.1.3.95 (aka 0.1.4 Beta 4)

2006-03-27 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXEntry, BibTeXEntryField, EntryWidgetPublication: Location field added
 * BibTeXFileImporterBibTeX: Progress detection improved (but not yet perfect)
 * DocumentWidget: Progress detection improved (but not yet perfect); Focus
   policy changed
 * KBibTeXPart: Initialization improved (problems when embedding into Kile);
   Opening/saving/exporting mechanism improved
 * Settings: Google document and .bib search added
 * New testsets added

2006-03-19 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * CommentWidget, DocumentListView, DocumentWidget, EntryWidgetAuthor,
   EntryWidget, EntryWidgetExternal, EntryWidgetMisc, EntryWidgetPublication,
   EntryWidgetSource, EntryWidgetTab, EntryWidgetTitle, EntryWidgetUser,
   FileLineEdit, FileListView, KBibTeXPart, StringWidget, ValueWidget:
   read-only semantics changed for embedding e.g. into Konqueror
 * DocumentWidget, KBibTeX: Preview reintegrated into DocumentWidget, so that
   is available when embedding part into other apps
 * KBibTeXPart: Opening and saving mechanisms modified
 * Preparing for KBibTeX 0.1.4_beta3

2006-03-14 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * FieldListView: Problem preventing editing items fixed

2006-03-12 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Removing remains of EndNote support
 * BibTeXFileExporterToolChain, EntryWidgetTitle, EntryWidgetPublication,
   EntryWidgetMisc, EntryWidgetExternal: Memory problems fixed (due to valgrind)
 * Preparing for KBibTeX 0.1.4_beta2

2006-03-07 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXComment, BibTeXString, BibTeXValue, BibTeXEntry:
   containsPattern fixed
 * BibTeXFileImporterBibTeX: Finding text fixed, Token parser improved,
   was triggering EOF too early
 * DocumentListView: Pasting text improved
 * DocumentWidget: Pasting text improved, Preview triggered on click on list
 * BibTeXValue, EntryWidgetUser, FieldListView: Memory problem fixed
 * ElementPreview: Layout changed
 * KBibTeXPart: Opening remove files possible, saved files will be added to MRU

2006-03-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * EntryWidgetExternal: Crash fixed
 * KBibTeX, KBibTeXPart, KBibTeXSettingsEditing, KBibTeXSettingsIO,
   DocumentWidget: Importing EndNote and ProCite disabled
 * KBibTeXSettingsEditing: Layout improved
 * FieldLineEdit: Tooltips improved
 * Preparing for KBibTeX 0.1.4_beta1

2006-02-21 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXEntry, BibTeXEntryField, EntryWidgetExternal: Support for DOI added
 * BibTeXFileImporterEndNote: Various improvements
 * DocumentListView: Bug when filtering Strings and Comments fixed
 * DocumentWidget, KBibTeX: Initial support for dock widgets added
 * ElementPreview: Initial version of a dock widget to preview BibTeX elements
 * FieldLineEdit: Bugfix in widget layout
 * BibTeXFileExporterXML: Better handling for tag "month"
 * steinertree.bib: Entry fixed
 * html.xslt: Rendering of HTML files improved
 * Releasing KBibTeX 0.1.4_alpha2

2006-02-08 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Many changes and bugfixes, most notabe improvement is editing macros

2006-01-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * KBibTeXPart, DocumentWidget, DocumentListView, DocumentSourceView:
   Refactoring UI classes and actions
 * Bugfix: Commands in mathmode (e.g. \log) will no longer be modified by
   BibTeX::EncoderLaTeX
 * Bugfix: Files will be saved (user is asked) when closing a modified
   document
 * Changed handbook's license from FDL to GPL

2005-12-15 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Searching in Amatex added

2005-12-05 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * KBibTeXEntryWidgetUserFields: Bugfix for not memorizing user field's content
 * Releasing KBibTeX 0.1.3

2005-12-04 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Preparing for KBibTeX 0.1.3
 * KBibTeXPart: Icon for Export changed to "goto"
 * testset/secondary.bib: New testcast

2005-12-03 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * BibTeXEntry: Bugfix when search text (+/-1 bug)
 * KBibTeXPart: Crash when embedding into Kile (hopefully) fixed using
   QTimer::singleShot(...)
 * KBibTeXPart: Stripping { and } from internet search query
 * Settings: Default URL for CiteSeer changed

2005-12-02 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * KBibTeXSettingsSearchURL: Button for reset to default URLs added

2005-11-29 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * KBibTeXPart: Preview when selecting different BibTeX element by keyboard
 * Autotools: Trying to fix RPATH issue
 * KBibTeXListView: Paste bug fixed
 * KBibTeXEntryWidgetPublication: Quotation fixed for crossref
 * KBibTeXPart: Code cleanup
 * BibTeXFileExporterBibTeX: Ordering of elements corrected
 * Documentation fixed
 * Preparing for KBibTeX 0.1.3 Beta 2

2005-11-28 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * KBibTeXPart, KBibTeXListView: New menu items to hide strings and
   comments

2005-11-26 Thomas Fischer <fischer@unix-ag.uni-kl.de>
 * Settings: Problem finding the XSLT stylesheet for HTML export fixed
 * BibTeXXSLTransform: Warning messages added for problems during
   XSL transformation
 * KBibTeX: Crash fixed when not able to load KBibTeX part
 * KBibTeXListView: Fallback to HTML export using XSLT when not export
   is configured
 * xslt/Makefile.am: Installation directory changed
 * doc/Makefile.am, doc/index.docbook: Initial documentation stub added
 * SearchBar: Filter control is now a history combobox storing previous
   search requests

2005-11-13 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * Major refactoring, preparing for KBibTeX 0.1.3 Beta 1

2005-09-29 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * All classes: Moved BibTeX classes into BibTeX namespace
  * BibTeXPreamble, KBibTeXPreambleWidget: Removed, as this element should
    occur only once at the top of a file

2005-09-27 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * KBibTeXListViewItem: Only first line of comments will be shown
  * KBibTeXListView, KBibTeXPart: Copy&Past code moved to KBibTeXListView
    (move incomplete)
  * BibTeXEncoder: Nearly all special characters will be surrounded by
    brackets now
  * testset/tsp04.tsp: Double entry removed


2005-09-24 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * KBibTeXPart, KBibTeX::XSLTransform: Introducing preview at bottom of
    main list of elements. Based on XML text for element, translated by
    XSL stylesheet. Buggy and hard-coded, but it works technically.
  * Preparing for release 0.1.3

2005-09-21 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * KBibTeXPart: Progress bar when opening, importing or saving files
    improved
  * BibTeXEncoder: Encoding of tilde character fixed
  * KBibTeXActionTextSearch: Restoring old code as KListViewSearchLine is only
    in KDE 3.4 and newer
  * Going to release 0.1.2

2005-09-19 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * KBibTeXPart: Overwriting warning fixed, was warning when saving an opened
    file.

2005-09-18 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * Man page: Added to autotools scripts. Problem: File gets not yet included
    by KDevelop
  * KBibTeXPart: Warning before exiting KBibTeX after editing unsafed data

2005-09-17 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * BibTeXEntry, BibTeXFileExporter: Old debug output removed
  * KBibTeXPart: Warning messages will be issued before overwriting an
    existing file
  * KBibTeXListView: Drag'n'Drop improved, complete area of the widget accepts
    drops now

2005-09-16 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * KBibTeXActionTextSearch: Using KListViewSearchLineWidget instead of QLabel
    and QLineEdit. Code is more simple and cleaner now.
  * admin/libtool.m4.in, admin/acinclude.m4.in: Various unnecessary tests
    (Fortran, audio libraries, ...) removed from configure script

2005-09-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * Preparing for release 0.1.2
  * BibTeXEntry, BibTeXEntryField, KBibTeXEntryWidget, BibTeXParser: Handling
    of string keys improved
  * KBibTeXEntryWidget: Layout changed for string key handling
  * Settings, KBibTeXPart: Column width are no longer set automatically, but
    will be preserved between sessions
  * KBibTeXPart: Inserting files into an existing document added
  * KBibTeXPart: Drag'n'Drop both text/selected elements and files (e.g. from
    Konqueror) added, but not yet bug free. Dropping only works when dropped
    on column header in main view
  * Testset: New files
  * Initial man page added

2005-09-02 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * KBibTeXPart: Bugfixes in new saving/exporting code
  * BibTeXFileExporter: InProceedings, InBook, and InCollection are now written
    before any other element to ensure field crossref works
  * BibTeXEntry: Fix for quoting did not work, reverting. However string keys
    still do not work. Fixing that would require some refactoring
  * Testset: File tsp04.bib expanded
  * BibTeXEncoder: Support for more characters
  * Preparing for release 0.1.1

2005-08-30 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * KBibTeXEntryWidget and children: Layout improved
  * KBibTeXEntryWidgetPublication: Replaced spinboxes for Edition and Volume by
    lineedit controls
  * KBibTeXEntryWidgetUserFields: Open field's value in Konqueror if valid URL
  * BibTeXEntry: Quoting of field values without spaces fixed (e.g. string keys)

2005-08-29 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * BibTeXEncoder: Encoding of tilde char fixed
  * KBibTeXPart: Rewriting of save/export mechanism. Exporting is done by
    "save as" dialog, saving of selected elements is possible now
  * KBibTeXEntryWidgetAuthor: Warnings improved if either author or editor
    is required

2005-08-24 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * KBibTeXPart: Refactoring saving and exporting

2005-08-17 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * Menu entries for exporting removed, as for future relases this feature will
    be integrated into the file saving mechanism
  * KBibTeXPart: Further changes on the file save mechanism

2005-08-16 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * UI improvment: Number and Volume switched position in
    KBibTeXEntryWidgetPublication
  * BibTeXFile: New function insertText(...) to parse and append plain BibTeX
    text
  * BibTeXString, BibTeXComment, BibTeXPreamble: New copy constructor
    introduced
  * KBibTeXEntryWidget: Parsing modified entry source code uses
    BibTeX::insertText(...) now
  * KBibTeXPart: Initial modifications to allow saving of selected elements
    only. Does not work yet
    Function saveFile(...) has new parameter to determine, which BibTeXFile to
    save
    Valditity of URLs is now check using isValid() instead of !isEmpty()
  * KBibTeXListView: New function selectedElements returns BibTeXFile containing
    only selected elements
  * KBibTeXFile: Class removed, no longer used

2005-08-12 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * Parsing JabRef and IEEE files improved/fixed

2005-08-11 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * Sorting columns was not possible when "No sorting" was select in the
    configuration. Fixed for now, but maybe this is a bug in KDE/Qt.

2005-08-10 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * Bugfix: No BibTeX file is associated to an empty BibTeX list at the
    beginning, so no data can be inserted without opening an existing
    file before
  * More and more detailed items added to TODO list

2005-08-09 Thomas Fischer <fischer@unix-ag.uni-kl.de>
  * BibTeX entry "Conference" removed, as it is the same as "InProceedings"
  * BibTeX entry "Electronic" introduced; defined by IEEE
  * Support for parsing IEEE BibTeX files added
  * Opening files on remote locations re-enabled (bugfix)
  * Action list to add entries from tool bar re-enabled (bugfix)
